#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "Lab1.h"

EMPLOYEE :: EMPLOYEE (char *name, int age, int job) {
 setname (name);
 setage (age);
 setjob (job);
}

EMPLOYEE :: EMPLOYEE (const EMPLOYEE &src) {
 setname (src.name);
 setage (src.age);
 setjob (src.job);
}

EMPLOYEE :: ~EMPLOYEE () {
 free (name);
}

char * EMPLOYEE :: getname () { return this->name; }
int EMPLOYEE :: getage () { return this->age; }
int EMPLOYEE :: getjob () { return this->job; }

void EMPLOYEE :: setname (char *name) {
 int n = strlen (name);
 if (n>0) {
  if (this->name) free (this->name);
  this->name = (char *) calloc (strlen(name),sizeof(char));
  if (this->name) {
   strcpy (this->name,name);
  }
 }
}

void EMPLOYEE :: setage (int age) { this->age=age; }
void EMPLOYEE :: setjob (int job) { this->job=job; }

void EMPLOYEE :: set (char *name,int age,int job) {
 setname (name);
 setage (age);
 setjob (job);
}

void EMPLOYEE :: show () {
 printf ("Name=%s,Age=%d,Job=%d\n",name,age,job);
}

void EMPLOYEE :: show (char *hdr) {
 puts (hdr); show();
}